unit Frmdlg97;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, explbtn, StdCtrls;

type
  TfrmDialog97 = class(TForm)
    cmdAbort: TExplorerButton;
    cmdIgnore: TExplorerButton;
    cmdCancel: TExplorerButton;
    cmdNo: TExplorerButton;
    cmdRetry: TExplorerButton;
    cmdAll: TExplorerButton;
    cmdYes: TExplorerButton;
    cmdHelp: TExplorerButton;
    cmdOK: TExplorerButton;
    expWarn: TExplorerButton;
    expError: TExplorerButton;
    expConf: TExplorerButton;
    expInfo: TExplorerButton;
    dlgLabel: TLabel;
    txtEdit: TEdit;
    procedure cmdCancelClick(Sender: TObject);
    procedure cmdIgnoreClick(Sender: TObject);
    procedure cmdAbortClick(Sender: TObject);
    procedure cmdNoClick(Sender: TObject);
    procedure cmdOKClick(Sender: TObject);
    procedure cmdRetryClick(Sender: TObject);
    procedure cmdAllClick(Sender: TObject);
    procedure cmdYesClick(Sender: TObject);
    procedure cmdHelpClick(Sender: TObject);
  private
    { Private declarations }
  public { Public declarations }
    constructor Create(AOwner: TComponent); override;
  end;

var
  ButtonPressed:Word;

implementation
 
{$R *.DFM}
constructor TfrmDialog97.Create(AOwner: TComponent);
begin
     INHERITED CREATE(AOwner);
end;


procedure TfrmDialog97.cmdCancelClick(Sender: TObject);
begin
ButtonPressed :=mrCancel;
ModalResult:=mrOk;
end;

procedure TfrmDialog97.cmdIgnoreClick(Sender: TObject);
begin
ButtonPressed:=	mrIgnore;
ModalResult:=mrOk;
end;

procedure TfrmDialog97.cmdAbortClick(Sender: TObject);
begin
buttonPressed:=mrAbort;
ModalResult:=mrOk;
end;

procedure TfrmDialog97.cmdNoClick(Sender: TObject);
begin
buttonPressed:=mrNo;
ModalResult:=mrOk;
end;

procedure TfrmDialog97.cmdOKClick(Sender: TObject);
begin
buttonPressed:=mrOk;
ModalResult:=mrOk;
end;

procedure TfrmDialog97.cmdRetryClick(Sender: TObject);
begin
buttonPressed:=mrRetry;
ModalResult:=mrOk;
end;

procedure TfrmDialog97.cmdAllClick(Sender: TObject);
begin
buttonPressed:=mrAll;
ModalResult:=mrOk;
end;

procedure TfrmDialog97.cmdYesClick(Sender: TObject);
begin
buttonPressed:=mrYes;
ModalResult:=mrOk;
end;

procedure TfrmDialog97.cmdHelpClick(Sender: TObject);
begin
cmdHelp.down := false;
Application.HelpContext(HelpContext);
end;

end.
