unit MMIntW32;

interface

const
  IsWindowsNT: Boolean = False;
  IsWindows95: Boolean = False;

function SetForegroundWindow(Wnd: LongInt): LongBool;


implementation

uses Call32NT;

const
  Use32Bit: Boolean = False;

var
  W32SetForegroundWindow: function ( Wnd: LongInt; id: LongInt): LongBool;
  ID_W32SetForegroundWindow: LongInt;

function SetForegroundWindow(Wnd: LongInt):LongBool;
begin
  Result := W32SetForegroundWindow(Wnd, ID_W32SetForegroundWindow);
end;

procedure InitialiseWin32; far;
begin
  @W32SetForegroundWindow := @Call32;
  ID_W32SetForegroundWindow := Declare32('SetForegroundWindow','user32','w');
end;

function IsWinNT : Boolean;
const WF_WINNT = $4000;
begin
  Result := (WinProcs.GetWinFlags and WF_WINNT) <> 0;
end;


initialization
  InitialiseWin32;
  Use32Bit := not Call32NTError;
  IsWindowsNT := IsWinNT;
  IsWindows95 := Use32Bit and not IsWindowsNT;
end.
