{--------------------------------------------------------

 Quick and dirty way to enable CPU Window command in
   View menu of Delphi 3.0 (i.e. View|CPU Window)

  by Alex G. Fedorov, alexfedorov@geocities.com

--------------------------------------------------------}
program CpuWnd;
{$APPTYPE CONSOLE}
uses Windows, Registry;
const
 DelphiKey   : String = 'Software\Borland\Delphi\'; // Common registry key
 D2Key       : String = '2.0\Debugging';            // Delphi 2.0
 D3Key       : String = '3.0\Debugging';            // Delphi 3.0

var
 R : TRegistry;

procedure AddKey;
begin
 R.WriteString('EnableCPU', '1');
 R.CloseKey;
 Writeln('Registry was updated successfully');
end;

begin
 R := TRegistry.Create;
 R.RootKey := HKEY_CURRENT_USER;
// Try to find Delphi 2.0
 If R.OpenKey(DelphiKey+D2Key, False) Then AddKey
// Try to find Delphi 3.0
 Else If R.OpenKey(DelphiKey+D3Key, False) Then AddKey;
 R.Free;
end.
