program gensql;

uses
  Forms,
  Sysutils, {For report exception}
  dialogs,
  main in 'main.pas' {frmMain},
  output in 'output.pas' {frmOutput},
  tables in 'tables.pas' {frmTables},
  report in 'report.pas' {frmReport};

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'Generic SQL query tool';
  Application.CreateForm(TfrmMain, frmMain);
  Application.CreateForm(TfrmOutput, frmOutput);
  Application.CreateForm(TfrmTables, frmTables);

  try
      Application.CreateForm(TfrmReport, frmReport);
      gPRINTER_OK := true;
  except
      on e:exception do
      begin
          gPRINTER_OK := false;
          Messagedlg('Error initialising reports. The structure listing will not '+
                     'be available.'+#13+e.message, mtInformation, [mbOK], 0);
      end;
  end;
  Application.Run;
end.
