unit testform1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,TAccMgr1, ComCtrls;

type
  TTestForm = class(TForm)
    Button1: TButton;
    Button2: TButton;
    RichEdit1: TRichEdit;
    Show: TButton;
    F1: TButton;
    F2: TButton;
    F3: TButton;
    F4: TButton;
    F5: TButton;
    F6: TButton;
    F7: TButton;
    F8: TButton;
    F9: TButton;
    F10: TButton;
    Button3: TButton;
    Button4: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure ShowClick(Sender: TObject);
    procedure F1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  TestForm: TTestForm;
   accmgr:TAccMgr;


implementation

{$R *.DFM}

procedure TTestForm.Button1Click(Sender: TObject);
begin
     accmgr:=TAccMgr.create(self);
     accmgr.dlgopensession:=true;
end;

procedure TTestForm.Button2Click(Sender: TObject);
var
   r:boolean;
   s:string;
begin
     s:= InputBox('Enter string', 'String:', '');
     if s='' then exit;
     accmgr.x:=1;
     accmgr.y:=1;
     r:=accmgr.searchtext(s,true);
     messagedlg(format('String "%s" found at (x,y)=(%d,%d)',[s,accmgr.X,Accmgr.Y]),mtinformation,[mbok],0);
end;

procedure TTestForm.ShowClick(Sender: TObject);
begin
     accmgr.ShowTerminal(RichEdit1);
end;

procedure TTestForm.F1Click(Sender: TObject);
var
   l:longint;
begin
     case (Sender as TButton).tag of
          1:        l:=IC_FKEY_1;
          2:        l:=IC_FKEY_2;
          3:        l:=IC_FKEY_3;
          4:        l:=IC_FKEY_4;
          5:        l:=IC_FKEY_5;
          6:        l:=IC_FKEY_6;
          7:        l:=IC_FKEY_7;
          8:        l:=IC_FKEY_8;
          9:        l:=IC_FKEY_9;
          10:        l:=IC_FKEY_10;
          else       exit;
     end;

     accmgr.sendfkey(l);
end;



procedure TTestForm.Button3Click(Sender: TObject);
begin
     close;
end;

procedure TTestForm.Button4Click(Sender: TObject);
begin
     accmgr.Username:=inputbox('Enter username','Username:','');
     if accmgr.Username='' then exit;
     accmgr.Department:=strtoint(inputbox('Enter department','Department:',''));
     if accmgr.Department=0 then exit;
     accmgr.Password:=inputbox('Enter password','Password:','');
     if accmgr.Password='' then exit;
     accmgr.logon;
end;

end.
