unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,BmpAnim,
  ExtCtrls, Menus, ComCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    UpDown1: TUpDown;
    OnOff: TButton;
    BmpAnimator1: TBmpAnimator;
    Edit2: TEdit;
    UpDown2: TUpDown;
    Label1: TLabel;
    Label2: TLabel;
    procedure OnOffClick(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Edit2Change(Sender: TObject);
  private
    { Private declarations }
    Off:Boolean;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
implementation
{$R *.DFM}

procedure TForm1.OnOffClick(Sender: TObject);
begin
  with BmpAnimator1 do
  begin
    Enabled := not Enabled;
    if not Enabled then Position := 0;
  end;
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
  if not BmpAnimator1.Enabled then
     BmpAnimator1.Position := UpDown1.Position;
end;

procedure TForm1.Edit2Change(Sender: TObject);
begin
try
  BmpAnimator1.Speed := StrToInt(Edit2.Text);
except
  BmpAnimator1.Speed := 15;
end;

end;

end.
