unit Cal;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, Grids, Calendar, Mask, DBCtrls,
  ExtCtrls;

type
  TCalform = class(TForm)
    Calendar1: TCalendar;
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    pazbtn: TPanel;
    procedure BitBtn1Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    ctlParent: TComponent;

    { P rivate declarations }
  public
    constructor Create( AOwner: TComponent ); override;
    { Public declarations }
  end;

var
  Calform: TCalform;

implementation

uses Custdate;

{$R *.DFM}

procedure TCalform.BitBtn1Click(Sender: TObject);
begin
TDBDateEdit( ctlParent ).Text := datetostr(Calendar1.calendardate);
ModalResult := 1;
end;

constructor TCalform.Create(AOwner: TComponent);
var
i: Longint;
year, month, day: word;
begin
inherited Create(AOwner);
ctlParent := TDBDateEdit( AOwner );
DecodeDate(Date, year, month, day);
i:=1;
for i:=1 to 2*((ctlparent as TDBDateEdit).Yearinterval) do
Combobox2.items.add(inttostr(year-((ctlparent as TDBDateEdit).Yearinterval)+i));
if ((ctlparent as TDBDateEdit).Text) = '' then
Calendar1.Calendardate := date
else
try
Calendar1.Calendardate := strtodate ((ctlparent as TDBDateEdit).Text);
except
on EConvertError do
Calendar1.Calendardate := date;
end;

Combobox1.itemindex := Calendar1.month -1;
Combobox2.itemindex := Calendar1.year - 1 - year + (ctlparent as TDBDateEdit).Yearinterval;
end;


procedure TCalform.ComboBox1Change(Sender: TObject);
begin
Calendar1.month := Combobox1.Itemindex + 1;
end;

procedure TCalform.ComboBox2Change(Sender: TObject);
begin
Calendar1.year := Strtoint(Combobox2.text);
end;


procedure TCalform.FormCreate(Sender: TObject);
begin
combobox1.items.add(longmonthnames[1]);
combobox1.items.add(longmonthnames[2]);
combobox1.items.add(longmonthnames[3]);
combobox1.items.add(longmonthnames[4]);
combobox1.items.add(longmonthnames[5]);
combobox1.items.add(longmonthnames[6]);
combobox1.items.add(longmonthnames[7]);
combobox1.items.add(longmonthnames[8]);
combobox1.items.add(longmonthnames[9]);
combobox1.items.add(longmonthnames[10]);
combobox1.items.add(longmonthnames[11]);
combobox1.items.add(longmonthnames[12]);
pazbtn.caption := shortdaynames[1];
end;

end.
